> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.umnai.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.umnai.com/_mcp/server.

# Jobs

An ingestion job runs an ingestion configuration against source data in storage. Jobs are asynchronous. Create a job, then retrieve it to monitor status, progress, and the datasource produced by the run.

## Create an initial job

An initial ingestion job creates a new datasource.

### Request

POST [https://api.hi.umnai.com/data-processing-ingestion-jobs](https://api.hi.umnai.com/data-processing-ingestion-jobs)

```curl Create initial ingestion job
curl -X POST https://api.hi.umnai.com/data-processing-ingestion-jobs \
     -H "Authorization: Bearer <token>" \
     -H "Content-Type: application/json" \
     -d '{
  "job_type": "INITIAL",
  "data_path": "/sample/initial/path",
  "data_processing_configuration_id": "3dd973d3fda8604fba040381bfcaab29",
  "datasource_name": "Sample Datasource",
  "storage_connector_id": "02910f90b30a5b94ad505efe83280dca",
  "name": "Sample Initial Ingestion Job",
  "compute_configuration_id": "351df95006b1350e597762a1d58e9319"
}'
```

```python Create initial ingestion job
import requests

url = "https://api.hi.umnai.com/data-processing-ingestion-jobs"

payload = {
    "job_type": "INITIAL",
    "data_path": "/sample/initial/path",
    "data_processing_configuration_id": "3dd973d3fda8604fba040381bfcaab29",
    "datasource_name": "Sample Datasource",
    "storage_connector_id": "02910f90b30a5b94ad505efe83280dca",
    "name": "Sample Initial Ingestion Job",
    "compute_configuration_id": "351df95006b1350e597762a1d58e9319"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Create initial ingestion job
const url = 'https://api.hi.umnai.com/data-processing-ingestion-jobs';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"job_type":"INITIAL","data_path":"/sample/initial/path","data_processing_configuration_id":"3dd973d3fda8604fba040381bfcaab29","datasource_name":"Sample Datasource","storage_connector_id":"02910f90b30a5b94ad505efe83280dca","name":"Sample Initial Ingestion Job","compute_configuration_id":"351df95006b1350e597762a1d58e9319"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Create initial ingestion job
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hi.umnai.com/data-processing-ingestion-jobs"

	payload := strings.NewReader("{\n  \"job_type\": \"INITIAL\",\n  \"data_path\": \"/sample/initial/path\",\n  \"data_processing_configuration_id\": \"3dd973d3fda8604fba040381bfcaab29\",\n  \"datasource_name\": \"Sample Datasource\",\n  \"storage_connector_id\": \"02910f90b30a5b94ad505efe83280dca\",\n  \"name\": \"Sample Initial Ingestion Job\",\n  \"compute_configuration_id\": \"351df95006b1350e597762a1d58e9319\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Create initial ingestion job
require 'uri'
require 'net/http'

url = URI("https://api.hi.umnai.com/data-processing-ingestion-jobs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"job_type\": \"INITIAL\",\n  \"data_path\": \"/sample/initial/path\",\n  \"data_processing_configuration_id\": \"3dd973d3fda8604fba040381bfcaab29\",\n  \"datasource_name\": \"Sample Datasource\",\n  \"storage_connector_id\": \"02910f90b30a5b94ad505efe83280dca\",\n  \"name\": \"Sample Initial Ingestion Job\",\n  \"compute_configuration_id\": \"351df95006b1350e597762a1d58e9319\"\n}"

response = http.request(request)
puts response.read_body
```

```java Create initial ingestion job
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.hi.umnai.com/data-processing-ingestion-jobs")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"job_type\": \"INITIAL\",\n  \"data_path\": \"/sample/initial/path\",\n  \"data_processing_configuration_id\": \"3dd973d3fda8604fba040381bfcaab29\",\n  \"datasource_name\": \"Sample Datasource\",\n  \"storage_connector_id\": \"02910f90b30a5b94ad505efe83280dca\",\n  \"name\": \"Sample Initial Ingestion Job\",\n  \"compute_configuration_id\": \"351df95006b1350e597762a1d58e9319\"\n}")
  .asString();
```

```php Create initial ingestion job
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.hi.umnai.com/data-processing-ingestion-jobs', [
  'body' => '{
  "job_type": "INITIAL",
  "data_path": "/sample/initial/path",
  "data_processing_configuration_id": "3dd973d3fda8604fba040381bfcaab29",
  "datasource_name": "Sample Datasource",
  "storage_connector_id": "02910f90b30a5b94ad505efe83280dca",
  "name": "Sample Initial Ingestion Job",
  "compute_configuration_id": "351df95006b1350e597762a1d58e9319"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Create initial ingestion job
using RestSharp;

var client = new RestClient("https://api.hi.umnai.com/data-processing-ingestion-jobs");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"job_type\": \"INITIAL\",\n  \"data_path\": \"/sample/initial/path\",\n  \"data_processing_configuration_id\": \"3dd973d3fda8604fba040381bfcaab29\",\n  \"datasource_name\": \"Sample Datasource\",\n  \"storage_connector_id\": \"02910f90b30a5b94ad505efe83280dca\",\n  \"name\": \"Sample Initial Ingestion Job\",\n  \"compute_configuration_id\": \"351df95006b1350e597762a1d58e9319\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Create initial ingestion job
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "job_type": "INITIAL",
  "data_path": "/sample/initial/path",
  "data_processing_configuration_id": "3dd973d3fda8604fba040381bfcaab29",
  "datasource_name": "Sample Datasource",
  "storage_connector_id": "02910f90b30a5b94ad505efe83280dca",
  "name": "Sample Initial Ingestion Job",
  "compute_configuration_id": "351df95006b1350e597762a1d58e9319"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hi.umnai.com/data-processing-ingestion-jobs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Response (201)

```json
{
  "job_type": "INITIAL",
  "data_path": "/sample/initial/path",
  "data_processing_configuration": {
    "id": "3dd973d3fda8604fba040381bfcaab29",
    "name": "Sample Ingestion Configuration"
  },
  "storage_connector": {
    "id": "02910f90b30a5b94ad505efe83280dca",
    "name": "Sample Storage Connector"
  },
  "datasource": {
    "id": "1ea7e575defdf6bc3f26a3f127e98170",
    "name": "Sample Datasource"
  },
  "id": "c716d98913540a5968891bed979d177e",
  "name": "Sample Initial Ingestion Job",
  "account": {
    "id": "e268443e43d93dab7ebef303bbe9642f",
    "name": "Sample Account"
  },
  "compute_configuration": {
    "id": "351df95006b1350e597762a1d58e9319",
    "name": "Sample Compute Configuration"
  },
  "status": "STARTING",
  "maximum_runtime_seconds": 3600,
  "created_at": "2026-03-15T10:15:30.000000Z",
  "created_by": {
    "id": "dad46b2058752ffde5eaf02f1eb6abd5",
    "name": "Sample User"
  },
  "updated_at": "2026-03-15T10:15:30.000000Z",
  "stage": "initializing",
  "progress": 0,
  "stage_progress": 0
}
```

The job references the storage connector, data path, ingestion configuration, and processing compute configuration. It also names the datasource that will be created.

## Create an incremental job

An incremental ingestion job adds new data to an existing datasource.

### Request

POST [https://api.hi.umnai.com/data-processing-ingestion-jobs](https://api.hi.umnai.com/data-processing-ingestion-jobs)

```curl Create incremental ingestion job
curl -X POST https://api.hi.umnai.com/data-processing-ingestion-jobs \
     -H "Authorization: Bearer <token>" \
     -H "Content-Type: application/json" \
     -d '{
  "job_type": "INCREMENT",
  "data_path": "/sample/incremental/path",
  "datasource_id": "1ea7e575defdf6bc3f26a3f127e98170",
  "storage_connector_id": "02910f90b30a5b94ad505efe83280dca",
  "increment_label": "March update",
  "name": "Sample Incremental Ingestion Job",
  "compute_configuration_id": "351df95006b1350e597762a1d58e9319"
}'
```

```python Create incremental ingestion job
import requests

url = "https://api.hi.umnai.com/data-processing-ingestion-jobs"

payload = {
    "job_type": "INCREMENT",
    "data_path": "/sample/incremental/path",
    "datasource_id": "1ea7e575defdf6bc3f26a3f127e98170",
    "storage_connector_id": "02910f90b30a5b94ad505efe83280dca",
    "increment_label": "March update",
    "name": "Sample Incremental Ingestion Job",
    "compute_configuration_id": "351df95006b1350e597762a1d58e9319"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Create incremental ingestion job
const url = 'https://api.hi.umnai.com/data-processing-ingestion-jobs';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"job_type":"INCREMENT","data_path":"/sample/incremental/path","datasource_id":"1ea7e575defdf6bc3f26a3f127e98170","storage_connector_id":"02910f90b30a5b94ad505efe83280dca","increment_label":"March update","name":"Sample Incremental Ingestion Job","compute_configuration_id":"351df95006b1350e597762a1d58e9319"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Create incremental ingestion job
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hi.umnai.com/data-processing-ingestion-jobs"

	payload := strings.NewReader("{\n  \"job_type\": \"INCREMENT\",\n  \"data_path\": \"/sample/incremental/path\",\n  \"datasource_id\": \"1ea7e575defdf6bc3f26a3f127e98170\",\n  \"storage_connector_id\": \"02910f90b30a5b94ad505efe83280dca\",\n  \"increment_label\": \"March update\",\n  \"name\": \"Sample Incremental Ingestion Job\",\n  \"compute_configuration_id\": \"351df95006b1350e597762a1d58e9319\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Create incremental ingestion job
require 'uri'
require 'net/http'

url = URI("https://api.hi.umnai.com/data-processing-ingestion-jobs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"job_type\": \"INCREMENT\",\n  \"data_path\": \"/sample/incremental/path\",\n  \"datasource_id\": \"1ea7e575defdf6bc3f26a3f127e98170\",\n  \"storage_connector_id\": \"02910f90b30a5b94ad505efe83280dca\",\n  \"increment_label\": \"March update\",\n  \"name\": \"Sample Incremental Ingestion Job\",\n  \"compute_configuration_id\": \"351df95006b1350e597762a1d58e9319\"\n}"

response = http.request(request)
puts response.read_body
```

```java Create incremental ingestion job
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.hi.umnai.com/data-processing-ingestion-jobs")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"job_type\": \"INCREMENT\",\n  \"data_path\": \"/sample/incremental/path\",\n  \"datasource_id\": \"1ea7e575defdf6bc3f26a3f127e98170\",\n  \"storage_connector_id\": \"02910f90b30a5b94ad505efe83280dca\",\n  \"increment_label\": \"March update\",\n  \"name\": \"Sample Incremental Ingestion Job\",\n  \"compute_configuration_id\": \"351df95006b1350e597762a1d58e9319\"\n}")
  .asString();
```

```php Create incremental ingestion job
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.hi.umnai.com/data-processing-ingestion-jobs', [
  'body' => '{
  "job_type": "INCREMENT",
  "data_path": "/sample/incremental/path",
  "datasource_id": "1ea7e575defdf6bc3f26a3f127e98170",
  "storage_connector_id": "02910f90b30a5b94ad505efe83280dca",
  "increment_label": "March update",
  "name": "Sample Incremental Ingestion Job",
  "compute_configuration_id": "351df95006b1350e597762a1d58e9319"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Create incremental ingestion job
using RestSharp;

var client = new RestClient("https://api.hi.umnai.com/data-processing-ingestion-jobs");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"job_type\": \"INCREMENT\",\n  \"data_path\": \"/sample/incremental/path\",\n  \"datasource_id\": \"1ea7e575defdf6bc3f26a3f127e98170\",\n  \"storage_connector_id\": \"02910f90b30a5b94ad505efe83280dca\",\n  \"increment_label\": \"March update\",\n  \"name\": \"Sample Incremental Ingestion Job\",\n  \"compute_configuration_id\": \"351df95006b1350e597762a1d58e9319\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Create incremental ingestion job
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "job_type": "INCREMENT",
  "data_path": "/sample/incremental/path",
  "datasource_id": "1ea7e575defdf6bc3f26a3f127e98170",
  "storage_connector_id": "02910f90b30a5b94ad505efe83280dca",
  "increment_label": "March update",
  "name": "Sample Incremental Ingestion Job",
  "compute_configuration_id": "351df95006b1350e597762a1d58e9319"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hi.umnai.com/data-processing-ingestion-jobs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Response (201)

```json
{
  "job_type": "INCREMENT",
  "data_path": "/sample/incremental/path",
  "storage_connector": {
    "id": "02910f90b30a5b94ad505efe83280dca",
    "name": "Sample Storage Connector"
  },
  "datasource": {
    "id": "1ea7e575defdf6bc3f26a3f127e98170",
    "name": "Sample Datasource"
  },
  "increment_label": "March update",
  "id": "5e5d0e4d86b54765b8ab4e7c3b4c9478",
  "name": "Sample Incremental Ingestion Job",
  "account": {
    "id": "e268443e43d93dab7ebef303bbe9642f",
    "name": "Sample Account"
  },
  "compute_configuration": {
    "id": "351df95006b1350e597762a1d58e9319",
    "name": "Sample Compute Configuration"
  },
  "status": "STARTING",
  "maximum_runtime_seconds": 3600,
  "created_at": "2026-03-16T10:15:30.000000Z",
  "created_by": {
    "id": "dad46b2058752ffde5eaf02f1eb6abd5",
    "name": "Sample User"
  },
  "updated_at": "2026-03-16T10:15:30.000000Z",
  "stage": "initializing",
  "progress": 0,
  "stage_progress": 0
}
```

Incremental jobs point to the existing datasource `id` and can include an `increment_label` to identify the update.

## Data paths

The `data_path` points to data inside the connected bucket.

It can refer to a single CSV or Parquet file, or to a directory containing one or more CSV or Parquet files. A directory must contain at least one supported file and must not mix CSV and Parquet files.

## Monitor jobs

Retrieve jobs to monitor ingestion progress or inspect previous runs.

### Request

GET [https://api.hi.umnai.com/data-processing-ingestion-jobs](https://api.hi.umnai.com/data-processing-ingestion-jobs)

```curl
curl https://api.hi.umnai.com/data-processing-ingestion-jobs \
     -H "Authorization: Bearer <token>"
```

```python
import requests

url = "https://api.hi.umnai.com/data-processing-ingestion-jobs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.hi.umnai.com/data-processing-ingestion-jobs';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hi.umnai.com/data-processing-ingestion-jobs"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.hi.umnai.com/data-processing-ingestion-jobs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.hi.umnai.com/data-processing-ingestion-jobs")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.hi.umnai.com/data-processing-ingestion-jobs', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.hi.umnai.com/data-processing-ingestion-jobs");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hi.umnai.com/data-processing-ingestion-jobs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Response (200)

```json
{
  "data": [
    {
      "id": "ea8b745ead39ec442fc3b4fba359bf98",
      "name": "Sample Organisation",
      "status": "ACTIVE",
      "created_at": "2026-03-11T16:04:19.749000Z",
      "updated_at": null
    }
  ],
  "pagination": {
    "total_items": 1,
    "items_per_page": 10,
    "current_page": 1,
    "total_pages": 1
  }
}
```

To inspect a specific job, retrieve it by `id`.

### Request

GET [https://api.hi.umnai.com/data-processing-ingestion-jobs/\{dataProcessingIngestionJobId}](https://api.hi.umnai.com/data-processing-ingestion-jobs/\{dataProcessingIngestionJobId})

```curl
curl https://api.hi.umnai.com/data-processing-ingestion-jobs/{dataProcessingIngestionJobId} \
     -H "Authorization: Bearer <token>"
```

```python
import requests

url = "https://api.hi.umnai.com/data-processing-ingestion-jobs/:dataProcessingIngestionJobId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.hi.umnai.com/data-processing-ingestion-jobs/:dataProcessingIngestionJobId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hi.umnai.com/data-processing-ingestion-jobs/:dataProcessingIngestionJobId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.hi.umnai.com/data-processing-ingestion-jobs/:dataProcessingIngestionJobId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.hi.umnai.com/data-processing-ingestion-jobs/:dataProcessingIngestionJobId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.hi.umnai.com/data-processing-ingestion-jobs/:dataProcessingIngestionJobId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.hi.umnai.com/data-processing-ingestion-jobs/:dataProcessingIngestionJobId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hi.umnai.com/data-processing-ingestion-jobs/:dataProcessingIngestionJobId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Response (200)

```json
{
  "data": [
    {
      "id": "ea8b745ead39ec442fc3b4fba359bf98",
      "name": "Sample Organisation",
      "status": "ACTIVE",
      "created_at": "2026-03-11T16:04:19.749000Z",
      "updated_at": null
    }
  ],
  "pagination": {
    "total_items": 1,
    "items_per_page": 10,
    "current_page": 1,
    "total_pages": 1
  }
}
```

Job responses include the job status, overall progress, current stage, and stage progress.

| Status       | Meaning                                         |
| ------------ | ----------------------------------------------- |
| `STARTING`   | The job has been created and is being prepared. |
| `RUNNING`    | The job is processing data.                     |
| `FINALIZING` | The job is completing final processing steps.   |
| `COMPLETED`  | The job finished successfully.                  |
| `FAILED`     | The job stopped because of an error.            |
| `STOPPED`    | The job was stopped before completion.          |

## Update a job

Update an ingestion job when you need to rename it.

### Request

PATCH [https://api.hi.umnai.com/data-processing-ingestion-jobs/\{dataProcessingIngestionJobId}](https://api.hi.umnai.com/data-processing-ingestion-jobs/\{dataProcessingIngestionJobId})

```curl
curl -X PATCH https://api.hi.umnai.com/data-processing-ingestion-jobs/dataProcessingIngestionJobId \
     -H "Authorization: Bearer <token>" \
     -H "Content-Type: application/json" \
     -d '{
  "name": "New Sample Ingestion Job"
}'
```

```python
import requests

url = "https://api.hi.umnai.com/data-processing-ingestion-jobs/:dataProcessingIngestionJobId"

payload = { "name": "New Sample Ingestion Job" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.hi.umnai.com/data-processing-ingestion-jobs/:dataProcessingIngestionJobId';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"New Sample Ingestion Job"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hi.umnai.com/data-processing-ingestion-jobs/:dataProcessingIngestionJobId"

	payload := strings.NewReader("{\n  \"name\": \"New Sample Ingestion Job\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.hi.umnai.com/data-processing-ingestion-jobs/:dataProcessingIngestionJobId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"New Sample Ingestion Job\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.hi.umnai.com/data-processing-ingestion-jobs/:dataProcessingIngestionJobId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"New Sample Ingestion Job\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.hi.umnai.com/data-processing-ingestion-jobs/:dataProcessingIngestionJobId', [
  'body' => '{
  "name": "New Sample Ingestion Job"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.hi.umnai.com/data-processing-ingestion-jobs/:dataProcessingIngestionJobId");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"New Sample Ingestion Job\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["name": "New Sample Ingestion Job"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hi.umnai.com/data-processing-ingestion-jobs/:dataProcessingIngestionJobId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Response (200)

```json
{
  "job_type": "INITIAL",
  "data_path": "/sample/path",
  "data_processing_configuration": {
    "id": "3dd973d3fda8604fba040381bfcaab29",
    "name": "Sample Ingestion Configuration"
  },
  "storage_connector": {
    "id": "02910f90b30a5b94ad505efe83280dca",
    "name": "Sample Storage Connector"
  },
  "datasource": {
    "id": "1ea7e575defdf6bc3f26a3f127e98170",
    "name": "Sample Datasource"
  },
  "id": "c716d98913540a5968891bed979d177e",
  "name": "New Sample Ingestion Job",
  "account": {
    "id": "e268443e43d93dab7ebef303bbe9642f",
    "name": "Sample Account"
  },
  "compute_configuration": {
    "id": "351df95006b1350e597762a1d58e9319",
    "name": "Sample Compute Configuration"
  },
  "status": "STARTING",
  "maximum_runtime_seconds": 1,
  "created_at": "2026-03-15T10:15:30.000000Z",
  "created_by": {
    "id": "dad46b2058752ffde5eaf02f1eb6abd5",
    "name": "Sample User"
  },
  "updated_at": "2026-03-15T10:15:30.000000Z",
  "stage": "sample_stage",
  "progress": 0.5,
  "stage_progress": 0.5
}
```

## Delete a job

Delete an ingestion job when it should no longer be kept.

### Request

DELETE [https://api.hi.umnai.com/data-processing-ingestion-jobs/\{dataProcessingIngestionJobId}](https://api.hi.umnai.com/data-processing-ingestion-jobs/\{dataProcessingIngestionJobId})

```curl
curl -X DELETE https://api.hi.umnai.com/data-processing-ingestion-jobs/dataProcessingIngestionJobId \
     -H "Authorization: Bearer <token>"
```

```python
import requests

url = "https://api.hi.umnai.com/data-processing-ingestion-jobs/dataProcessingIngestionJobId"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.hi.umnai.com/data-processing-ingestion-jobs/dataProcessingIngestionJobId';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hi.umnai.com/data-processing-ingestion-jobs/dataProcessingIngestionJobId"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.hi.umnai.com/data-processing-ingestion-jobs/dataProcessingIngestionJobId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.hi.umnai.com/data-processing-ingestion-jobs/dataProcessingIngestionJobId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.hi.umnai.com/data-processing-ingestion-jobs/dataProcessingIngestionJobId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.hi.umnai.com/data-processing-ingestion-jobs/dataProcessingIngestionJobId");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hi.umnai.com/data-processing-ingestion-jobs/dataProcessingIngestionJobId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```